OpenNMS API 1.2.9

## org.opennms.netmgt.eventd.adaptors
Interface EventReceiver

All Superinterfaces:
  Fiber, InitializableFiber

All Known Implementing Classes:
  TcpEventReceiver, UdpEventReceiver

public interface EventReceiver
extends InitializableFiber

This interface defines the contract that every type of adaptor event receiver must fulfill. Every reciever is a fiber and will run independently of other receivers in the system. When an event is received by an instance of this interface it will pass the new event to the `EventHandler.event()` method.

Author:
  Brian Weaver , OpenNMS

Field Summary

Fields inherited from interface org.opennms.core.fiber.Fiber
`RUNNING, START_PENDING, STARTING, STATUS_NAMES, STOP_PENDING, STOPPED`

Method Summary
`void` `addEventHandler(EventHandler handler)` Adds a new event handler to receiver.
`void` `removeEventHandler(EventHandler handler)` Removes an event handler from the list of handler called when an event is received.

Methods inherited from interface org.opennms.core.fiber.InitializableFiber
`destroy, init`

Methods inherited from interface org.opennms.core.fiber.Fiber
`getName, getStatus, start, stop`

Method Detail

### addEventHandler

    public void addEventHandler(EventHandler handler)

  Adds a new event handler to receiver. When new events are received the decoded event is passed to the handler.

  Parameters:
    `handler` - A reference to an event handler

### removeEventHandler

    public void removeEventHandler(EventHandler handler)

  Removes an event handler from the list of handler called when an event is received. The handler is removed based upon the method `equals()` inherieted from the `Object` class.

  Parameters:
    `handler` - A reference to the event handler.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.